Subject: Re: [xml2rfc-dev] Problem compiling with the xml beta version - Fwd: special purpose labels

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 18 Apr 2013 00:08:27 +0200

Hi Loa,

On 2013-03-15 23:43 Loa Andersson said the following:
> Folks,
> 
> I've included two files
> 
> - draft-kompella-mpls-special-purpose-labels-02.xml
> - draft-kompella-mpls-special-purpose-labels-02.txt
> 
> We are updating a number of RFCs, and uses the "updates"
> element in the RFC-header.
> 
> Compiling with the beta version gives us a long long row
> that disappears way beyond the right hand side of the
> the file as shown in the .txt file.

This is a clear bug.  Could I bother you to add a ticket to the
issue tracker, here:

  https://trac.tools.ietf.org/tools/xml2rfc/trac/newticket ?

> The long row also prevents uploading with the submit tool.

This, however, has a different cause.  Running idnits in
submission-checking mode shows two errors, which are caused
by what could be argued to be deficiencies in the source file:

  ** Missing expiration date.  The document expiration date should appear on
     the first and last page.

  ** Expected the document's filename to be given on the first page, but didn't
     find any

If you change your <date year="2012"/> to <date/> (or a full date)
a proper expiration date will be generated, and the first error
will go away.  If you add an attribute docName="draft-kompella-...
to the <rfc/> element, the second error will go away.

> Using the old xml2rfc version works just fine.

Yes, apparently version 1 ignored the year="2012" in your
source, and used today's date instead.  I don't know if that's
the right behaviour.  Also, it seems version 1 would pick up the
document name from the filename if no docName attribute was given.
I don't know if that's right, either.

(Probably, though, the right behaviour for both of these would be
to give warnings, instead of quietly produce something which won't
pass idnits...)

Best regards,

	Henrik

> /Loa
> 
> 
> -------- Original Message --------
> Subject: special purpose labels
> Date: Thu, 14 Mar 2013 19:28:02 -0400
> From: Kireeti Kompella <[email-masked]>
> To: Loa Andersson <[email-masked]>, "[email-masked] Farrel" 
> <[email-masked]>
> CC: Kireeti Kompella <[email-masked]>
> 
> (resending -- correct address for Adrian)
> 
> Sat with Loa, hammered out the following changes:
> 0) changed draft title, affiliations of Loa and me.
> 1) add a section describing RFCs updated.
> 2) added clarification that the extension label only affects the 
> immediately following label.
> 3) clarified IANA:
> 	- set aside the existing special purpose labels in the extended space
> 	- if a new special purpose label in the old space is defined, it MUST 
> say if it needs to be reserved in the extended space as well
> 
> Question: should there be verbiage that new special purpose labels 
> should only be allocated from the old space if they are processed in the 
> data plane?
> 
> Kireeti
> 
> 
> 
> 
> 
> 
> _______________________________________________
> xml2rfc-dev mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc-dev
>